<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:17                                      */
/****************************************************************/



@require_once('source/products.php');
@require_once('source/languages.php');

$jezyk = languages::Szukaj($db->Conn);

$produkty = new products();
$produkty->Conn = $db->Conn;

$ile=$produkty->ListaIle();
$paczka = 200;
$ile_paczek = Ceil($ile/$paczka);

echo '<produkty ile="'.$ile.'" paczek="'.$ile_paczek.'">';

if(isset($_GET['action']) && $_GET['action']=='sprawdz')
{
	for($i=0; $i<=$ile_paczek;$i++)
	{
		echo $produkty->ListaXML2($jezyk,$i*$paczka);
	}
}
else
{
	for($i=0; $i<=$ile_paczek;$i++)
	{
		echo $produkty->ListaXMLFull($jezyk,$i*$paczka);
	}
}

echo '</produkty>';
?>
